Bug 508847 - RFC: add aircraft subpackages
RFC: add aircraft subpackages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: FlightGear-data (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Fabrice Bellet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 04:53 EDT by Stefan Riemens
Modified: 2010-06-28 09:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:23:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec file generator (php) (9.03 KB, text/plain)
2009-07-06 13:43 EDT, Stefan Riemens
no flags Details
Generated spec file (341.27 KB, text/plain)
2009-07-06 13:44 EDT, Stefan Riemens
no flags Details

  None (edit)
Description Stefan Riemens 2009-06-30 04:53:45 EDT
Description of problem:
Currently, adding aircraft to FlightGear requires the user to go to flightgear.org, download some tarball, and extract to some hard-to-find system directory (which is write-protected). This is not particularly user-friendly.
    I'd like to create subpackages for all the extra aircraft listed on http://flightgear.org/Downloads/aircraft/ (they are all GPLv2). That way, users can simply install additional aircraft via packagekit.

Please let me know if you're interested. I wonder how the packages should be called. Just FlightGear-c172? Or FlightGear-aircraft-c172? Perhaps FlightGear-data-c172? I personally like the FlightGear-c172 option, b/c it's the shortest.
For the names of the aircraft, i suggest simply using the upstream name, the same goes for version-numbers.

Stefan
Comment 1 Fabrice Bellet 2009-07-03 17:33:56 EDT
I like the idea. I already tried to automatically create packages from the list of aircrafts zip files in the past. However, I'm a bit worried by the overall size of these new packages : 600+MB, split in 200+ packages. That's a lot for optional data, and probably too much packages for the fedora infrastructure. Maybe they could be hosted elsewhere, and hopefully automatically created, so the process would stay humanely manageable ?

For packages name, I personally prefer FlightGear-aircraft-c172, because it offers more clarity about what the package is about.
Comment 2 Stefan Riemens 2009-07-04 09:02:46 EDT
Well, i could of course contact flightgear upstream, to see if they could offer hosting space.
As for autogenerating, I could write some php script to do that, that's not too hard at all (i know php isn't ideal for the task, but it's what i know...)

Another option would be to only package the best aircraft, after discussing which that should be with upstream.

Is there any guideline specifying what amounts of data are acceptable, or is this just a matter of "good judgement" from the packager? I couldn't find it googling around...
Comment 3 Stefan Riemens 2009-07-06 13:42:26 EDT
Please find attached what i've come up with after an evening of hacking. It is a php script generating a working spec file. I've also attached the generated spec file. There are a couple of issues to be ironed out though:
FlightGear-aircraft-NTPS.noarch: W: hidden-file-or-dir /usr/share/FlightGear/Aircraft/NTPS/Instruments/.#gear-lights.xml.1.1

I've added some code to delete all hidden files and dir, the problem is the # in the filename. Is there any way to escape that? neither a \ nor a % works...

Stefan
Comment 4 Stefan Riemens 2009-07-06 13:43:39 EDT
Created attachment 350652 [details]
Spec file generator (php)
Comment 5 Stefan Riemens 2009-07-06 13:44:23 EDT
Created attachment 350653 [details]
Generated spec file
Comment 6 Fabrice Bellet 2009-07-24 04:40:32 EDT
(In reply to comment #2)
> Well, i could of course contact flightgear upstream, to see if they could offer
> hosting space.
> As for autogenerating, I could write some php script to do that, that's not too
> hard at all (i know php isn't ideal for the task, but it's what i know...)
> 
> Another option would be to only package the best aircraft, after discussing
> which that should be with upstream.

Some aircrafts are already shipped in FlightGear-data, so maybe these "best aircrafts" could just be included to the FlightGear-data instead.

Another possibility could be to modify FlightGear to make it search in some additional ~/.fgfs/Aircraft path, so the user could download some more aircrafts without root privileges, just like it currently works for the Scenery data with terrasync and the --fg-scenery option. 

> Is there any guideline specifying what amounts of data are acceptable, or is
> this just a matter of "good judgement" from the packager? I couldn't find it
> googling around...  

No guideline I'm aware of.
Comment 7 Bug Zapper 2010-04-27 11:21:56 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 09:23:31 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.